[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-ID: <20220428164831.GA577338@jaehee-ThinkPad-X1-Extreme>
Date: Thu, 28 Apr 2022 12:48:31 -0400
From: Jaehee Park <jhpark1013@...il.com>
To: outreachy@...ts.linux.dev, Julia Denham <jdenham@...hat.com>,
Roopa Prabhu <roopa.prabhu@...il.com>,
Stefano Brivio <sbrivio@...hat.com>, netdev@...r.kernel.org,
jhpark1013@...il.com, Roopa Prabhu <roopa@...dia.com>,
David Ahern <dsahern@...il.com>
Subject: [PATCH net-next v3] selftests: net: vrf_strict_mode_test: add
support to select a test to run
Add a boilerplate test loop to run all tests in
vrf_strict_mode_test.sh. Add a -t flag that allows a selected test to
run.
Signed-off-by: Jaehee Park <jhpark1013@...il.com>
---
version 3:
- Added commented delineators to section the code for improved
readability.
- Moved the log_section() call into the functions handling the tests.
- Removed unnecessary spaces.
.../selftests/net/vrf_strict_mode_test.sh | 47 +++++++++++++++++--
1 file changed, 43 insertions(+), 4 deletions(-)
diff --git a/tools/testing/selftests/net/vrf_strict_mode_test.sh b/tools/testing/selftests/net/vrf_strict_mode_test.sh
index 865d53c1781c..423da8e08510 100755
--- a/tools/testing/selftests/net/vrf_strict_mode_test.sh
+++ b/tools/testing/selftests/net/vrf_strict_mode_test.sh
@@ -14,6 +14,8 @@ INIT_NETNS_NAME="init"
PAUSE_ON_FAIL=${PAUSE_ON_FAIL:=no}
+TESTS="init testns mix"
+
log_test()
{
local rc=$1
@@ -262,6 +264,8 @@ cleanup()
vrf_strict_mode_tests_init()
{
+ log_section "VRF strict_mode test on init network namespace"
+
vrf_strict_mode_check_support init
strict_mode_check_default init
@@ -292,6 +296,8 @@ vrf_strict_mode_tests_init()
vrf_strict_mode_tests_testns()
{
+ log_section "VRF strict_mode test on testns network namespace"
+
vrf_strict_mode_check_support testns
strict_mode_check_default testns
@@ -318,6 +324,8 @@ vrf_strict_mode_tests_testns()
vrf_strict_mode_tests_mix()
{
+ log_section "VRF strict_mode test mixing init and testns network namespaces"
+
read_strict_mode_compare_and_check init 1
read_strict_mode_compare_and_check testns 0
@@ -343,16 +351,37 @@ vrf_strict_mode_tests_mix()
vrf_strict_mode_tests()
{
- log_section "VRF strict_mode test on init network namespace"
vrf_strict_mode_tests_init
- log_section "VRF strict_mode test on testns network namespace"
vrf_strict_mode_tests_testns
- log_section "VRF strict_mode test mixing init and testns network namespaces"
vrf_strict_mode_tests_mix
}
+################################################################################
+# usage
+
+usage()
+{
+ cat <<EOF
+usage: ${0##*/} OPTS
+
+ -t <test> Test(s) to run (default: all)
+ (options: $TESTS)
+EOF
+}
+
+################################################################################
+# main
+
+while getopts ":t:h" opt; do
+ case $opt in
+ t) TESTS=$OPTARG;;
+ h) usage; exit 0;;
+ *) usage; exit 1;;
+ esac
+done
+
vrf_strict_mode_check_support()
{
local nsname=$1
@@ -391,7 +420,17 @@ fi
cleanup &> /dev/null
setup
-vrf_strict_mode_tests
+for t in $TESTS
+do
+ case $t in
+ vrf_strict_mode_tests_init|init) vrf_strict_mode_tests_init;;
+ vrf_strict_mode_tests_testns|testns) vrf_strict_mode_tests_testns;;
+ vrf_strict_mode_tests_mix|mix) vrf_strict_mode_tests_mix;;
+
+ help) echo "Test names: $TESTS"; exit 0;;
+
+ esac
+done
cleanup
print_log_test_results
--
2.25.1
Powered by blists - more mailing lists